查询亚马逊自发货订单详情
POST
/erp/sc/routing/order/Order/getOrderDetail支持查询亚马逊自发货订单详情,对应系统【销售】>【订单管理】中订单详情
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/order/Order/getOrderDetail | HTTPS | POST | 1 |
请求参数
order_numberstring必填返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_numberstring必填order_statusstring必填order_from_namestring必填purchase_timestring必填platformstring必填shop_namestring必填buyer_choose_expressstring必填total_shipping_pricenumber必填buyer_messagestring必填customer_commentstring必填warehouse_namestring必填widinteger必填tracking_numberstring必填logistics_type_namestring必填logistics_provider_namestring必填logistics_type_idinteger必填logistics_provider_idinteger必填logistics_pre_weightnumber必填logistics_pre_weight_unitstring必填logistics_pre_pricenumber必填logistics_freightstring必填logistics_freight_currency_codestring必填package_lengthnumber必填package_widthnumber必填package_heightnumber必填package_unitstring必填pkg_real_weightnumber必填pkg_real_weight_unitstring必填pkg_lengthnumber必填pkg_widthnumber必填pkg_heightnumber必填pkg_size_unitstring必填order_price_amountnumber必填gross_profit_amountnumber必填order_itemarray<object>必填隐藏子属性
platform_order_idstring必填MSKUstring必填order_item_nostring必填pic_urlstring必填skustring必填product_namestring必填qualityinteger必填item_unit_pricenumber必填currency_codestring必填customizationstring必填attachmentsarray<any>必填newAttachmentsarray<object>必填隐藏子属性
file_idinteger必填file_namestring必填file_typeinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "438806AC-DF1A-8AD2-AC48-2D3426A12F67",
"response_time": "2021-07-19 10:27:11",
"data": {
"order_number": "103318489501696512",
"order_status": "待发货",
"order_from_name": "手工订单",
"purchase_time": "2021-05-30 22:57:06",
"platform": "AMAZON",
"shop_name": "81111-US",
"buyer_choose_express": "",
"total_shipping_price": "0.00",
"buyer_message": "",
"customer_comment": "",
"warehouse_name": "HH",
"wid": 130,
"logistics_type_name": "HH",
"logistics_provider_name": "HH",
"logistics_type_id": 3295,
"logistics_provider_id": 83,
"tracking_number": "53434242",
"logistics_pre_weight": "200.00",
"logistics_pre_weight_unit": "g",
"package_length": "10.0",
"package_width": "10.0",
"package_height": "10.0",
"package_unit": "cm",
"logistics_pre_price": "0.00",
"pkg_real_weight": "0.00",
"pkg_real_weight_unit": "",
"pkg_length": "10.0",
"pkg_width": "10.0",
"pkg_height": "10.0",
"pkg_size_unit": "cm",
"logistics_freight": "",
"logistics_freight_currency_code": "",
"order_price_amount": "0.00",
"gross_profit_amount": "0.00",
"order_item": [
{
"platform_order_id": "543535",
"MSKU": "",
"order_item_no": "",
"pic_url": "https://image.distribuxxxx/xxx.jpeg",
"sku": "HH",
"product_name": "HH",
"quality": 1,
"item_unit_price": "0.00",
"currency_code": "USD",
"customization": "",
"attachments": [],
"newAttachments": [
{
"file_id": 103450663351412224,
"file_name": "lADPBG1Q7eeWX_fNArLNArI_690_690.jpg",
"file_type": 1
}
]
}
]
},
"total": 0
}